export declare class Utils {
    static _uniqueNumber: number;
    static nextUID: () => string;
    /**
     * Creates a unique id for submit form.
     *
     * @returns string
     *
     * @memberOf utils
     */
    static uniqueID(): string;
    /**
     * Validate input and returns true if input is an element
     *
     * @param input any
     * @returns True if `value` is a DOM element (or wrapped jQuery element).
     *
     * @memberOf FileManager
     */
    static isElement(input: any): boolean;
    /**
     * Validate input and returns true if input is a string
     *
     * @param input any
     * @returns boolean
     *
     * @memberOf Utils
     */
    static isString(input: any): boolean;
    static extendValue(...args: any[]): any;
}
