import { InjectionToken } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { HookTypeEnum } from '../classes';
import { TransferOptionsInterface, TransferInterface, FileManagerInterface } from '../interfaces';
export declare const FILE_UPLOADER_CONFIG: InjectionToken<TransferOptionsInterface>;
export declare class FileUploadService {
    private _httpClient;
    private _config?;
    private _uploadServices;
    constructor(_httpClient: HttpClient, _config?: TransferOptionsInterface);
    registerUploadService(uploaderKey: string, uploader: TransferInterface<FileManagerInterface>): void;
    setHook(uploaderKey: string, type: HookTypeEnum, fnCallback: (...args: any[]) => void, priority?: number): void;
    useAngularProtocol(uploaderKey: string): void;
    useDefaultProtocol(uploaderKey: string): void;
    getUploader(uploaderKey: string): TransferInterface<FileManagerInterface>;
    addFile(uploaderKey: string, file: FileManagerInterface): void;
    addFiles(uploaderKey: string, files: FileManagerInterface[]): void;
    startAll(uploaderKey: string): void;
    startFile(uploaderKey: string, file: FileManagerInterface): void;
    cancelAll(uploaderKey: string): void;
    cancelFile(uploaderKey: string, file: FileManagerInterface): void;
    /** Internal Function */
    private _checkUploader;
}
